Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Naming_Context.cpp File Reference

`#include "ace/Get_Opt.h"`
`#include "ace/Naming_Context.h"`
`#include "ace/Remote_Name_Space.h"`
`#include "ace/Local_Name_Space_T.h"`
`#include "ace/Registry_Name_Space.h"`
`#include "ace/Memory_Pool.h"`
`#include "ace/RW_Process_Mutex.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_strings.h"`

Include dependency graph for Naming_Context.cpp:

## Typedefs
typedef ACE_Local_Name_Space< ACE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex > | LOCAL_NAME_SPACE
typedef ACE_Local_Name_Space< ACE_LITE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex > | LITE_LOCAL_NAME_SPACE
## Functions
const char * | get_rcsid_ace_Naming_Context (const char *)
| ACE_STATIC_SVC_DEFINE (ACE_Naming_Context, ACE_LIB_TEXT("ACE_Naming_Context"), ACE_SVC_OBJ_T,&ACE_SVC_NAME(ACE_Naming_Context), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) int ACE_Naming_Context
## Variables
const char * | rcsid_ace_Naming_Context = get_rcsid_ace_Naming_Context ( rcsid_ace_Naming_Context )

## Typedef Documentation

typedef ACE_Local_Name_Space<ACE_LITE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex> LITE_LOCAL_NAME_SPACE

typedef ACE_Local_Name_Space<ACE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex> LOCAL_NAME_SPACE

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | ACE_Naming_Context | ,
|  | ACE_LIB_TEXT("ACE_Naming_Context") | ,
|  | ACE_SVC_OBJ_T | ,
|  | & | ACE_SVC_NAME(ACE_Naming_Context),
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

const char* get_rcsid_ace_Naming_Context | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Naming_Context = get_rcsid_ace_Naming_Context ( rcsid_ace_Naming_Context )`[static]`